{% assign options_list = customization.customizations | sort: 'name' %}

{% for option in options_list %}

  {% assign opt_available = '-available' %}
  {% assign attr_disabled = '' %}
  {% if option.quantity <= 0 %}
    {% assign opt_available = '-unavailable' %}
  {% endif %}

  <input
    type="radio"
    name="customizations[][{{ customization.name }}]"
    value="{{ option.name }}"
    id="{{ customization.name }}-customization-{{ forloop.index }}"
    class="input"
    data-customization
    data-customization-price="{{ option.price }}"
    data-customization-name="{{ customization.name }}"
  />

  <label for="{{ customization.name }}-customization-{{ forloop.index }}" class="label {{ opt_available }}">            
    {% if option.name contains '|' %}
      {% render 'partials/components/check_color', color: option.name, product: product %}
    {% else %}
      <span class="text">{{ option.name }}</span> 
    {% endif %}
  </label>
{% endfor %}
